/* General */body {
    font-family: 'Arial', sans-serif;
    margin: 0;
    padding: 0;
    background-color: #ffffff;
    color: #333333;
}

h1, h2, p {
    margin: 0;
    padding: 0.5em0;
}

/* Estilo para el encabezado */
header {
    background: linear-gradient(135deg, #304352, #d7d2cc); /* Tonos azul oscuro y gris, con un degradado suave */
    padding: 20px;
    text-align: center;
    border-bottom: 2px solid #8a6d3b; /* Borde inferior con un color dorado antiguo */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2); /* Sombra sutil para dar profundidad */
    display: flex;
    align-items: center;
    justify-content: center;
}

/* Estilo para el logo */
header .logo {
    background-color: #a2d5f2; /* Fondo azul claro */    
    border-radius: 50%; /* Hace que el contenedor sea un círculo */
    display: inline-block; /* Asegura que el logo se ajuste a su contenido */
    padding: 8px; /* Espacio interno alrededor de la imagen */
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2); /* Sombra suave para darle profundidad */
    text-align: center;
    min-width: 90px;
    max-width: 150px; /* Asegura que la imagen se ajuste dentro del círculo */
    width: 14%;
}

header .logo img {
    max-width: 100%; /* Asegura que la imagen se ajuste dentro del círculo */
    min-width: 70px;
    width: 70%;
    border-radius: 50%; /* Asegura que la imagen se ajuste a la forma circular */
    height: auto;
    vertical-align: middle;
    padding: 1%;
    margin-right: 0%;
}

/* Estilo para el título del juego */
.title {
    width: 90%;
     text-align: center;    
}

header .title h1 {
    font-family: 'Orbitron', sans-serif;
    font-size: 2.5em;
    color: #f7e8c3; /* Color dorado suave para el título */
    text-shadow: 2px 2px 4px rgba(0, 0, 0, 0.4); /* Sombra para resaltar el texto */
    margin: auto;
    padding: 10px 0;
}

/* Estilo para la descripción */
header .title p {
    font-family: 'Spectral SC', serif;
    color: #f7e8c3; /* Mismo color dorado suave para la descripción */  
    font-size: 16px;
    line-height: 0.7;
    font-size: 1.5em;
    max-width: 70%;
    min-width: 300px;
    margin: auto;
}

/* User controls */
fieldset.console-input {
    margin-top: 30px;
}

#user-controls {
    background-color: #f9f9f9;
}

/* Este elemento sirve para mostrar información de testeo de scripts */
#user-controls pre {
    display: none;
}

.console-input {
    margin-bottom: 10px;
}

.console-input input {
    width: calc(100% - 100px);
    padding: 10px;
    font-family: 'Arial', sans-serif;
    font-size: 1em;
}

#directional-controls button {
    width: 50px;
    height: 50px;
    margin: 5px;
    font-size: 1em;
    cursor: pointer;
}

#directional-controls {
    text-align: center;
    margin-bottom: 20px;
}

#action-controls {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 10px;
    align-items: center;
}

#action-controls label, #action-controls select {
    font-family: 'Arial', sans-serif;
    font-size: 0.9em;
}

div.end-turn {
    text-align: center;
}

button#end-turn {
    width: 50%;
    height: 3em;
    color: white;
    background-color: black;
    margin: auto;
}

textarea.log {
	width: 100%; height: 50em;
}

/* Footer */footer {
    background-color: #f0f0f0;
    padding: 20px;
    text-align: center;
    font-size: 0.8em;
}

footer p {
    margin: 5px0;
}

/* Main Sections */
/* Contenido principal del juego */
section#game2 {
    display: flex;
    flex-flow: row;
    padding: 20px;
}

#character-panel, #game-interface, #user-controls {
    margin-bottom: 20px;
    padding: 20px;
    border: 1px solid #cccccc;
    border-radius: 8px;
}

#game-interface {
    background-color: #e0e0e0;
    text-align: center;
}


/* Panel de Personaje y Usuario */
#character-panel {
    background-color: #f0f0f0;
    padding: 2%;
    border-radius: 8px;
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    max-width: 700px; 
}

.character-image {
    text-align: right;    
}

#character-panel img {
    margin: 0px;
    padding: 0px;
    width: 90%;
    height: auto;
    margin-right: 5%;
}

.character-image, .character-details, .user-details {
    width: 47%;
}

.character-details h3, .user-details h3 {
    font-family: 'Orbitron', sans-serif;
    color: #333;
    margin-bottom: 10px;
}

.character-details p, .user-details p {
    font-family: 'Spectral SC', serif;
    margin: 5px 0;
}

.character-details h4 {
    margin-top: 20px;
    font-family: 'Orbitron', sans-serif;
}

.character-details ul {
    list-style: none;
    padding: 0;
}

.character-details ul li {
    font-family: 'Spectral SC', serif;
    margin: 3px 0;
}

.user-details p {
    font-family: 'Arial', sans-serif;
}

/* GAME INTERFACE */
#game-board {
    margin: 2%;
    width: 100%;
    height: auto;
    position: relative;
}

#game-board img#board-image {
    margin: 0%;
    width: 90%;
    height: auto;
}

img.character {
    width: 18%;
    height:  18%;
    position: absolute;
}

img#character-player {
    /* Starting point of the player */
    top: calc(25% + 9%);
    left: calc(50% + 5%);
}

img#enemy1 {    
    top: calc(0% + 7%);
    left: calc(25% + 5%);
}

img#enemy2 {
    top: calc(75% + 7%);
    left: calc(50% + 5%);
}

/* Estilo para la música de fondo */
iframe#music {
	width: 70%;
	height: auto;
	min-height: 200px;
	margin-top: 10%;
}

/* Juego 2 RPG Maker */
section {
	display: block;
}
iframe#RPG-game {
	
}
